# Strings

  Defines

  VRNA_STRING_HEADER(s)
    #include <ViennaRNA/datastructures/string.h>

  Typedefs

  typedef char *vrna_string_t
    #include <ViennaRNA/datastructures/string.h>
  typedef struct vrna_string_header_s vrna_string_header_t
    #include <ViennaRNA/datastructures/string.h>

    The header of an array.

  Functions

  vrna_string_t vrna_string_make(char const *str)
    #include <ViennaRNA/datastructures/string.h>
  void vrna_string_free(vrna_string_t str)
    #include <ViennaRNA/datastructures/string.h>
  size_t vrna_string_length(vrna_string_t const str)
    #include <ViennaRNA/datastructures/string.h>
  size_t vrna_string_size(vrna_string_t const str)
    #include <ViennaRNA/datastructures/string.h>
  vrna_string_t vrna_string_append(vrna_string_t str, vrna_string_t const other)
    #include <ViennaRNA/datastructures/string.h>
  vrna_string_t vrna_string_append_cstring(vrna_string_t str, char const *other)
    #include <ViennaRNA/datastructures/string.h>
  vrna_string_t vrna_string_make_space_for(vrna_string_t str, size_t add_len)
    #include <ViennaRNA/datastructures/string.h>
  size_t vrna_string_available_space(vrna_string_t const str)
    #include <ViennaRNA/datastructures/string.h>
  struct vrna_string_header_s
    #include <ViennaRNA/datastructures/string.h>

    The header of an array.

    Public Members

    size_t len

      The length of the string.

    size_t size

      The actual capacity of an array.

    size_t shift_post
    char backup